
Redmine - Defect #16739

custom_fields.json only returns single tracker instead of array of trackers

2014-04-23 09:37 - Ruud Senden

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 2.5.2   

Resolution: Fixed Affected version: 2.3.4

Description

In my Redmine 2.3.4 installation, the custom_fields.json API returns only a single tracker, even when a custom field has been

assigned to multiple trackers.

I managed to patch my Redmine installation to correctly return the full list of trackers for a custom field. In

app/views/custom_fields/index.api.rsb, the following line:

api.trackers do

Should be changed to

api.array :trackers do

I think the same is true for the roles by the way, but since I'm not using that functionality I didn't bother to patch it.

Associated revisions

Revision 13109 - 2014-04-26 09:56 - Jean-Philippe Lang

Missing type=array attributes in custom fields API (#16739).

Revision 13160 - 2014-05-24 18:34 - Jean-Philippe Lang

Merged r13109 (#16739).

History

#1 - 2014-04-26 09:57 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.2

- Resolution set to Fixed

Fixed in r13109, thanks for pointing this out.

#2 - 2014-05-24 18:34 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
